Last Comment Bug 898687 - Remove XULTreeBuilder from content
: Remove XULTreeBuilder from content
Status: RESOLVED FIXED
: dev-doc-complete, site-compat
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla25
Assigned To: Masatoshi Kimura [:emk]
:
Mentors:
Depends on: 898817
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 16:58 PDT by David Bruant
Modified: 2013-08-03 12:00 PDT (History)
6 users (show)
VYV03354: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Hide XUL related classes from content (3.85 KB, patch)
2013-07-28 13:26 PDT, Masatoshi Kimura [:emk]
jvarga: review+
Details | Diff | Review
Test to make sure XUL classes are hidden from content (1.93 KB, patch)
2013-07-28 13:49 PDT, Masatoshi Kimura [:emk]
jvarga: review+
bugs: review+
Details | Diff | Review

Description David Bruant 2013-07-26 16:58:57 PDT
I can observe the XULTreeBuilder constructor in Aurora ans Nightly. This is Mozilla-specific and should probably be hidden. There might be others. Is this related to the WebIDL binding work?
Comment 1 Masatoshi Kimura [:emk] 2013-07-26 17:21:12 PDT
The easiest way would be converting this interface to WebIDL and marking it as [ChromeOnly].
Comment 2 :Ms2ger 2013-07-27 02:30:26 PDT
Jan, why did this need classinfo?
Comment 3 Jan Varga [:janv] 2013-07-27 02:50:48 PDT
It was added to simplify access to tree views from JS (interface flattening), bug 202393
Comment 4 Masatoshi Kimura [:emk] 2013-07-28 13:26:58 PDT
Created attachment 782299 [details] [diff] [review]
Hide XUL related classes from content

https://tbpl.mozilla.org/?tree=Try&rev=8e43806984c1
Comment 5 Masatoshi Kimura [:emk] 2013-07-28 13:49:00 PDT
Created attachment 782307 [details] [diff] [review]
Test to make sure XUL classes are hidden from content
Comment 6 Masatoshi Kimura [:emk] 2013-07-28 13:50:51 PDT
Comment on attachment 782307 [details] [diff] [review]
Test to make sure XUL classes are hidden from content

test_interfaces.html change needs DOM peer's approval.
Comment 7 Olli Pettay [:smaug] 2013-07-28 14:02:03 PDT
Comment on attachment 782307 [details] [diff] [review]
Test to make sure XUL classes are hidden from content

yes!
Comment 8 Jan Varga [:janv] 2013-07-28 21:55:50 PDT
Comment on attachment 782299 [details] [diff] [review]
Hide XUL related classes from content

Review of attachment 782299 [details] [diff] [review]:
-----------------------------------------------------------------

looks good
Comment 9 David Bruant 2013-07-29 00:31:28 PDT
I also noticed XULElement and ChromeWindow. Should I file another bug? (sorry for not telling earler :-s)
Comment 10 David Bruant 2013-07-29 00:38:43 PDT
Looking at the patch, I noticed the dom/tests/mochitest/general/test_interfaces.html file and the following comment at the top: 
// This is a list of all interfaces that are exposed to every webpage.  Please only
// add things to this list with great care.

So I guess all the ones at the bottom starting with XUL could be removed too?
Comment 11 Masatoshi Kimura [:emk] 2013-07-29 00:47:32 PDT
Many of those interfaces (including ChromeWindow and XULElement) cannot be removed until bug 898817 is fixed. So I left them for now.
Comment 12 David Bruant 2013-07-29 00:52:58 PDT
(In reply to Masatoshi Kimura [:emk] from comment #11)
> Many of those interfaces (including ChromeWindow and XULElement) cannot be
> removed until bug 898817 is fixed. So I left them for now.
Sounds good. I'll file a followup bug that depends on bug 898817.
Comment 13 David Bruant 2013-07-29 00:53:32 PDT
(sorr for the conflict)
Comment 15 neil@parkwaycc.co.uk 2013-07-29 08:39:26 PDT
(Are there any people still using remote XUL? If so, would this affect them?)
Comment 17 Kohei Yoshino [:kohei] 2013-08-03 12:00:22 PDT
Added to the site compatibility doc just in case:
https://developer.mozilla.org/en-US/docs/Mozilla/Firefox/Releases/25/Site_Compatibility

Note You need to log in before you can comment on or make changes to this bug.